OGRE: Ogre::TextureUnitState::TextureEffect Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::TextureUnitState::TextureEffect Struct Reference

Internal structure defining a texture effect. More...

`#include <OgreTextureUnitState.h>`

List of all members.

## Public Attributes

TextureEffectType | type
int | subtype
Real | arg1
Real | arg2
WaveformType | waveType
Real | base
Real | frequency
Real | phase
Real | amplitude
Controller< Real > * | controller
const Frustum * | frustum

## Detailed Description

Internal structure defining a texture effect.

Definition at line 152 of file OgreTextureUnitState.h.

## Member Data Documentation

Real Ogre::TextureUnitState::TextureEffect::amplitude

| Definition at line 160 of file OgreTextureUnitState.h.

Real Ogre::TextureUnitState::TextureEffect::arg1

| Definition at line 155 of file OgreTextureUnitState.h.

Real Ogre::TextureUnitState::TextureEffect::arg2

| Definition at line 155 of file OgreTextureUnitState.h.

Real Ogre::TextureUnitState::TextureEffect::base

| Definition at line 157 of file OgreTextureUnitState.h.

Controller<Real>* Ogre::TextureUnitState::TextureEffect::controller

| Definition at line 161 of file OgreTextureUnitState.h.

Real Ogre::TextureUnitState::TextureEffect::frequency

| Definition at line 158 of file OgreTextureUnitState.h.

const Frustum* Ogre::TextureUnitState::TextureEffect::frustum

| Definition at line 162 of file OgreTextureUnitState.h.

Real Ogre::TextureUnitState::TextureEffect::phase

| Definition at line 159 of file OgreTextureUnitState.h.

int Ogre::TextureUnitState::TextureEffect::subtype

| Definition at line 154 of file OgreTextureUnitState.h.

TextureEffectType Ogre::TextureUnitState::TextureEffect::type

| Definition at line 153 of file OgreTextureUnitState.h.

WaveformType Ogre::TextureUnitState::TextureEffect::waveType

| Definition at line 156 of file OgreTextureUnitState.h.

The documentation for this struct was generated from the following file:

- OgreTextureUnitState.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:49:35 2008